Subject: bug#33452: Color of tooltip text on macOS with dark mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Nov 2018 22:13:40 +0200

> Date: Fri, 23 Nov 2018 18:10:49 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Are you saying that tooltips on NS couldn't use colors before that
> > change?  Or was that color support broken at some point?  If the
> > latter, when was it broken and by what changeset?
> 
> Tooltips on NS couldn’t use colours before that change.
> 
> What happened is that tooltips set the background to yellow and left
> the foreground (text) to be the system default (black).
> 
> MacOS Mojave has introduced ‘dark mode’, which makes the foreground
> colour light, and therefore we’re seeing light text on a yellow
> background.
> 
> If you don’t want to apply the above commit the absolute minimum fix
> for emacs-26 would be to explicitly set a foreground colour for
> tooltips, or not set the background, therefore reverting to the system
> default.

Sorry, I'm confused: does "system default" mean the tooltips will be
without colors, or does it mean they will use the system colors?  If
the latter, then why did you say in the beginning that "tooltips on NS
couldn't use colors"?